Spigot Anti-SignCrash 1.2

Stop the 1.8 Sign-Hack with this simple plugin!

  1. I am already a Developer for a server... :D
     
  2. Which server is that? Your own?
     
  3. ohmy
    you better tell them that you are just starting coding
     
    • Agree Agree x 1
  4. I doubt that you have even tested the plugin. You are just sitting here arguing about the code, which really doesn't make sense. It works. And I don't appreciate your disrespect.
     
    • Optimistic Optimistic x 1
  5. We are trying to help you get better at coding, we can see that you are just starting, so we are helping you!
    It doesn't matter whether it works or not, whether it is how it should be or not.

    We are not being disrespectful, just helping
     
  6. Maybe this plugin should just be deleted. You guys are doing nothing but diminishing my spirit at this point. I will contact Caspus to remove it.
     
  7. We are helping you
    Not diminishing your spirit :/
     
  8. totally not disrespectful
     
  9. I'm serious
    Tell them
     
  10. I decided to do what you two have told me, and I have finished the update. It will be released ASAP.

    Sorry for my disrespect... :\
     
  11. It's fine.
    <3
    I still luv you bakebake

    *edit* omg wat? Bae just autocorrected to bakebake wtf?
     
  12. how can you hack with signs???
     
  13. idk
    xD
     
  14. I believe there is some formatting error in 1.8 that when exploited, any client that renders the sign will crash.
     
  15. He needed me to do the changelog, but I was gone.
     
  16. I can show you how to hack signs lol
     
  17. wait... really??? how do you do that xD I want to test this plugin out but idk what the formatting for making signs crash is.


    also.. isn't this like "Effective Power" but for minecraft??
     
  18. Based on the source code of this plugin, if a sign has text longer than or equal to 15 characters the clients rendering said sign will crash. Of course, you need a "hacked" client to create such a sign.